Subject: Re: bug#47860: 28.0.50; Mini buffer resize when lines are truncated regression

From: Eli Zaretskii <[email-masked]>
Date: Mon, 19 Apr 2021 17:43:50 +0300

> From: Aaron Jensen <[email-masked]>
> Date: Mon, 19 Apr 2021 09:24:19 -0500
> Cc: Gregory Heytings <[email-masked]>, [email-masked]
> 
> On Mon, Apr 19, 2021 at 9:02 AM Aaron Jensen <[email-masked]> wrote:
> > I have not tested with Emacs 27. I have, however, tested with Emacs 28
> > with and without the commit I mentioned.
> >
> 
> I forgot to mention that when I reverted the commit I got a conflict
> so I effectively undid another commit in the same area, so my diff
> looked like this:
> 
>        if ((op & MOVE_TO_POS) != 0
> -          && (IT_CHARPOS (*it) > to_charpos
> -          || (IT_CHARPOS (*it) == to_charpos
> -              && to_charpos == ZV
> -              && (ZV_BYTE <= 1 || FETCH_BYTE (ZV_BYTE - 1) != '\n'))))
> +          && IT_CHARPOS (*it) > to_charpos)
>          {

This basically goes back to what we had in all versions up to and
including 27.